Package org.eclipse.viatra.query.runtime.matchers.util.timeline

## Class Diff<Timestamp extends java.lang.Comparable<Timestamp>>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Signed<Timestamp>>
      - - org.eclipse.viatra.query.runtime.matchers.util.timeline.Diff<Timestamp>

- Type Parameters:
    `Timestamp` - the type representing the timestamps
  All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<Signed<Timestamp>>`, `java.util.Collection<Signed<Timestamp>>`, `java.util.List<Signed<Timestamp>>`, `java.util.RandomAccess`

      public class Diff<Timestamp extends java.lang.Comparable<Timestamp>>
      extends java.util.ArrayList<Signed<Timestamp>>

  The description of a delta that specifies how a `Timeline` changes. It consists of `Signed` timestamps that depict the moments of insertions and deletions on the timeline.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Diff()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendWithCancellation​(Signed<Timestamp> item)` |

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Constructor Detail

    - #### Diff

          public Diff()

  - ### Method Detail

    - #### appendWithCancellation

          public void appendWithCancellation​(Signed<Timestamp> item)